Crash after upgrading to security spy version 5

Posted on
Tue Jul 02, 2019 9:39 am
norcoscia online
User avatar
Posts: 883
Joined: Sep 09, 2015

Crash after upgrading to security spy version 5

The new version of security spy came out - looks like this plug-in does not work with it - hoping it will be updated....

Code: Select all
Cynical SecuritySpy Error       SecuritySpy ServerMiniMac unavailable: unrecognized server version - BBVS/5.0
   Cynical SecuritySpy Error       SecuritySpy Hikvision Back Gate unavailable: host device xxx is unavailable
   Cynical SecuritySpy Error       SecuritySpy Hikvision Driveway unavailable: host device xxx is unavailable
   Cynical SecuritySpy Error       SecuritySpy Hikvision Front Door unavailable: host device xxx is unavailable
   Cynical SecuritySpy Error       in runConcurrentThread: Traceback (most recent call last):
  File ".../Server Plugin/cyin/debugging.py", line 58, in diagnostic_log
    yield
  File ".../Server Plugin/cyin/debugging.py", line 68, in diagnose_call
    return method(*args, **kwargs)
  File ".../Server Plugin/cyin/asynplugin.py", line 64, in runConcurrentThread
    self.run()
  File ".../Server Plugin/asyn/inject.py", line 61, in run
    asyn.Controller.run(self)
  File ".../Server Plugin/asyn/controller.py", line 105, in run
    item._can_read()
  File ".../Server Plugin/asyn/selectable.py", line 229, in _can_read
    self._null_read()
  File ".../Server Plugin/asyn/selectable.py", line 97, in _null_read
    self.callout(END)
  File ".../Server Plugin/asyn/core.py", line 152, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
  File ".../Server Plugin/asyn/http.py", line 304, in incoming
    return self.callout('body', self.body)
  File ".../Server Plugin/asyn/core.py", line 152, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
  File ".../Server Plugin/spy/core.py", line 120, in reply
    self._configure(arg)
  File ".../Server Plugin/spy/core.py", line 171, in _configure
    camera = Camera(elem, self)
  File ".../Server Plugin/spy/core.py", line 283, in __init__
    if self.spy.webversion >= 4:
AttributeError: 'SecuritySpy' object has no attribute 'webversion'

   Cynical SecuritySpy Error       plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)

_______
Norm

Posted on
Tue Jul 02, 2019 11:52 am
mikejandreau offline
Posts: 54
Joined: Jul 07, 2016

Re: Crash after upgrading to security spy version 5

Thanks for being the guinea pig.

Let the rest of us know if you see a fix?

Posted on
Tue Jul 02, 2019 12:03 pm
norcoscia online
User avatar
Posts: 883
Joined: Sep 09, 2015

Re: Crash after upgrading to security spy version 5

Lots of great new stuff in this version plus it was free since I had it less than 6 months - really want to switch to H.265 and use the improved motion detection for people and cars. Hope it is fixed soon :-)

_______
Norm

Posted on
Tue Jul 02, 2019 1:30 pm
durosity offline
User avatar
Posts: 3937
Joined: May 10, 2012
Location: Newcastle Upon Tyne, Ye Ol' England.

Re: Crash after upgrading to security spy version 5

Yeah I'm getting the same issue. The human AI seems to work well.. identifies me and the wife in every room we've tried it in.. could be very handy for marking a room as occupied if that info can be fed into indigo somehow.

Computer says no.

Posted on
Tue Jul 02, 2019 2:27 pm
jalves offline
Posts: 560
Joined: Jun 16, 2013

Re: Crash after upgrading to security spy version 5

I just bought the upgrade. Haven't yet installed it and will probably hold off until I know it will work with this plugin.. I suspect since it fails in Indigo, that if we currently have any HKB cameras that those will be broken as well.

Running Indigo 7.4.1 on a 27" iMac (mid-2017), 40G memory, 1T Fusion Drive, OS X 10.15.3
Jeff

Posted on
Tue Jul 02, 2019 2:51 pm
norcoscia online
User avatar
Posts: 883
Joined: Sep 09, 2015

Re: Crash after upgrading to security spy version 5

This is the downside to plug-ins - more interdependences. The upside is Jay can take more naps :-)

_______
Norm

Posted on
Tue Jul 02, 2019 2:53 pm
shapa offline
Posts: 383
Joined: Sep 08, 2014
Location: Swindon

Re: Crash after upgrading to security spy version 5

Edit plugin core.py, add BBVS/5.0 server version.

It works fine.

/Library/Application Support/Perceptive Automation/Indigo 7.3/Plugins/Cynical SecuritySpy.indigoPlugin/Contents/Server Plugin/spy

Find BBVS/4.0

Easiest - replace with BBVS/5.0
Last edited by shapa on Tue Jul 02, 2019 2:56 pm, edited 1 time in total.

Posted on
Tue Jul 02, 2019 2:53 pm
norcoscia online
User avatar
Posts: 883
Joined: Sep 09, 2015

Re: Crash after upgrading to security spy version 5

Thanks, I'll try that :-)

_______
Norm

Posted on
Tue Jul 02, 2019 3:15 pm
Lucardos offline
Posts: 15
Joined: Aug 31, 2012
Location: Netherlands

Re: Crash after upgrading to security spy version 5

thanks for the tip.
after the change, it all works fine again :D

Posted on
Tue Jul 02, 2019 3:24 pm
FlyingDiver offline
User avatar
Posts: 4000
Joined: Jun 07, 2014
Location: Southwest Florida, USA

Re: Crash after upgrading to security spy version 5

Code: Select all
            if server == "BBVS/3.0":
               self.webversion = 3
            elif server == "BBVS/4.0":
               self.webversion = 4
            elif server == "BBVS/5.0":
               self.webversion = 5

joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177

Posted on
Tue Jul 02, 2019 5:14 pm
durosity offline
User avatar
Posts: 3937
Joined: May 10, 2012
Location: Newcastle Upon Tyne, Ye Ol' England.

Re: Crash after upgrading to security spy version 5

norcoscia wrote:
The upside is Jay can take more naps :-)


That boy ain’t allowed no naps. I have someone standing behind him with a whip 20 hours a day. Same with Matt. Indigo 8 is gonna be ready on time thanks to my innovative efficiency strategy.

Computer says no.

Posted on
Tue Jul 02, 2019 5:16 pm
norcoscia online
User avatar
Posts: 883
Joined: Sep 09, 2015

Re: Crash after upgrading to security spy version 5

FlyingDiver wrote:
Code: Select all
            if server == "BBVS/3.0":
               self.webversion = 3
            elif server == "BBVS/4.0":
               self.webversion = 4
            elif server == "BBVS/5.0":
               self.webversion = 5


Doing this does not work (for me) - but just changing the 4 to a 5 seems to work fine - just FYI....

_______
Norm

Posted on
Tue Jul 02, 2019 6:01 pm
FlyingDiver offline
User avatar
Posts: 4000
Joined: Jun 07, 2014
Location: Southwest Florida, USA

Re: Crash after upgrading to security spy version 5

norcoscia wrote:
FlyingDiver wrote:
Code: Select all
            if server == "BBVS/3.0":
               self.webversion = 3
            elif server == "BBVS/4.0":
               self.webversion = 4
            elif server == "BBVS/5.0":
               self.webversion = 5


Doing this does not work (for me) - but just changing the 4 to a 5 seems to work fine - just FYI....


Interesting. I haven't updated SS yet, but I looked at the code and I thought that it was testing >= 4 everywhere, so 5 should work. I must have missed somewhere.

joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177

Posted on
Tue Jul 02, 2019 6:20 pm
jalves offline
Posts: 560
Joined: Jun 16, 2013

Re: Crash after upgrading to security spy version 5

How about as an interim measure:
Code: Select all
if server == "BBVS/3.0":
               self.webversion = 3
            elif server >= "BBVS/4.0":
               self.webversion = 4


Until at least there are enhancements in SS 5.0 that necessitate logic specific to that version.

Running Indigo 7.4.1 on a 27" iMac (mid-2017), 40G memory, 1T Fusion Drive, OS X 10.15.3
Jeff

Posted on
Tue Jul 02, 2019 6:30 pm
FlyingDiver offline
User avatar
Posts: 4000
Joined: Jun 07, 2014
Location: Southwest Florida, USA

Re: Crash after upgrading to security spy version 5

jalves wrote:
How about as an interim measure:
Code: Select all
if server == "BBVS/3.0":
               self.webversion = 3
            elif server >= "BBVS/4.0":
               self.webversion = 4


Until at least there are enhancements in SS 5.0 that necessitate logic specific to that version.


">=" on strings won't do what you think it will...

Code: Select all
            if server == "BBVS/3.0":
               self.webversion = 3
            elif server == "BBVS/4.0":
               self.webversion = 4
            elif server == "BBVS/5.0":
               self.webversion = 4


Is probably the right code for now.

joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177

Who is online

Users browsing this forum: No registered users and 2 guests